MCP for ArcGIS Location Services provides information about the prompts available from the MCP server, including their names, descriptions, arguments, and templates. Most MCP clients automatically retrieve these prompts, but you can also get them programmatically.
| Name | Description | Template |
|---|---|---|
elevation_at_a_location | Get the elevation in meters for a single location for a given latitude and longitude in WGS84 coordinate system. | Find elevation for the location at {latitude}, {longitude}. |
elevation_at_an_address | Get the elevation in meters for a single address. | What is the elevation of {address}? |
find_address_candidates | Get the potential locations for a given address. | Find address candidates for {single_line}. |
highest_point_on_a_route | Get the highest point on the route between two addresses. | What is the highest point on the route from {start_address} to {end_address}? |
map_comparing_routes | Generate a map comparing the fastest route between two addresses with a route via a waypoint. | Show me a map comparing fastest route from {start_address} to {end_address}, with the same journey, but going via {waypoint_address}. |
map_of_a_route | Generate a map showing the route between two addresses. | Show a map of the route from {start_address} to {end_address}. |
map_of_an_address | Generate a map centered on an address. | Show a map centered on {address}. |
reverse_geocode | Get the address information for a given latitude and longitude in WGS84 coordinate system. | Return the address information for the location at {latitude}, {longitude}. |
route_between_two_addresses | Get the driving route between two addresses. | How can I drive from {start_address} to {end_address}? |
route_distance | Get the distance between two addresses. | How far is it from {start_address} to {end_address}? |
unsimplified_route_between_two_addresses | Get the unsimplified route between two addresses. | Give me the unsimplified route from {start_address} to {end_address}. |
Get a list of prompts
Use the prompts/list request to retrieve a list of prompts available from the MCP server. The response includes the prompt name, description, and template.
curl -X POST "https://location-services-mcp.arcgis.com/beta/mcp" \ -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \ -H 'Accept: application/json, text/event-stream' \ -H "Content-Type: application/json" \ -d '{ "jsonrpc": "2.0", "id": 1, "method": "prompts/list" }'